Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Conflitti e blocchi [Risolto]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
ænigma
Tux's lil' helper
Tux's lil' helper


Joined: 02 Mar 2019
Posts: 113
Location: Italy

PostPosted: Tue Jan 30, 2024 3:39 pm    Post subject: Conflitti e blocchi [Risolto] Reply with quote

Ciao a tutti,
da ieri ho questo problema con l'aggiornamento:
Code:
gentoo /home/davide # emerge -auDUv @world

These are the packages that would be merged, in order:

Calculating dependencies... done!
Dependency resolution took 87.99 s (backtrack: 20/20).

[ebuild     U  ] app-misc/pax-utils-1.3.7::gentoo [1.3.5::gentoo] USE="-caps -man* -python (-seccomp) -test" PYTHON_SINGLE_TARGET="python3_11 -python3_10" 112 KiB
[ebuild     U  ] dev-python/numpy-1.26.3::gentoo [1.26.2::gentoo] USE="lapack -debug -test" PYTHON_TARGETS="python3_11 (-pypy3) -python3_10 (-python3_12)" 15.313 KiB
[ebuild     U  ] dev-qt/qtcore-5.15.12-r1:5/5.15.12::gentoo [5.15.11-r1:5/5.15.11::gentoo] USE="icu -debug -old-kernel -test" 49.981 KiB
[ebuild     U  ] dev-qt/qtdbus-5.15.12:5/5.15::gentoo [5.15.11:5/5.15::gentoo] USE="-debug -test" 0 KiB
[ebuild     U  ] dev-qt/qtxml-5.15.12:5/5.15::gentoo [5.15.11:5/5.15::gentoo] USE="-debug -test" 0 KiB
[blocks b      ] <dev-qt/qtxml-5.15.12:5 ("<dev-qt/qtxml-5.15.12:5" is soft blocking dev-qt/qtcore-5.15.12-r1)
[ebuild     U  ] dev-qt/qttest-5.15.12:5/5.15::gentoo [5.15.11:5/5.15::gentoo] USE="-debug -test" 0 KiB
[blocks b      ] <dev-qt/qttest-5.15.12:5 ("<dev-qt/qttest-5.15.12:5" is soft blocking dev-qt/qtcore-5.15.12-r1)
[ebuild     U  ] dev-qt/qtnetwork-5.15.12-r1:5/5.15::gentoo [5.15.11:5/5.15::gentoo] USE="ssl -debug -gssapi -libproxy -sctp -test" 325 KiB
[blocks b      ] <dev-qt/qtnetwork-5.15.12:5 ("<dev-qt/qtnetwork-5.15.12:5" is soft blocking dev-qt/qtcore-5.15.12-r1)
[ebuild     U  ] dev-qt/qtconcurrent-5.15.12:5/5.15::gentoo [5.15.11:5/5.15::gentoo] USE="-debug -test" 0 KiB
[blocks b      ] <dev-qt/qtconcurrent-5.15.12:5 ("<dev-qt/qtconcurrent-5.15.12:5" is soft blocking dev-qt/qtcore-5.15.12-r1)
[ebuild     U  ] dev-qt/linguist-tools-5.15.12:5::gentoo [5.15.11:5::gentoo] USE="-debug -qml -test" 8.696 KiB
[ebuild     U  ] dev-qt/qttranslations-5.15.12:5::gentoo [5.15.11:5::gentoo] USE="-debug -test" 1.598 KiB
[ebuild     U  ] dev-qt/qtgui-5.15.12:5/5.15.12::gentoo [5.15.11-r2:5/5.15.11::gentoo] USE="X accessibility dbus egl jpeg libinput png udev vulkan -debug -eglfs -evdev -gles2-only -ibus -linuxfb -test -tslib -tuio -vnc -wayland" 0 KiB
[ebuild     U  ] dev-qt/qtwidgets-5.15.12:5/5.15::gentoo [5.15.11-r1:5/5.15::gentoo] USE="X dbus gtk png -debug -gles2-only -test" 0 KiB
[blocks b      ] <dev-qt/qtwidgets-5.15.12:5 ("<dev-qt/qtwidgets-5.15.12:5" is soft blocking dev-qt/qtcore-5.15.12-r1)
[ebuild     U  ] dev-qt/qtimageformats-5.15.12:5::gentoo [5.15.11:5::gentoo] USE="mng -debug -test" 2.208 KiB
[blocks b      ] <dev-qt/qtimageformats-5.15.12:5 ("<dev-qt/qtimageformats-5.15.12:5" is soft blocking dev-qt/qtcore-5.15.12-r1)
[ebuild     U  ] dev-qt/qtsvg-5.15.12:5/5.15::gentoo [5.15.11:5/5.15::gentoo] USE="-debug -test" 1.850 KiB
[blocks b      ] <dev-qt/qtsvg-5.15.12:5 ("<dev-qt/qtsvg-5.15.12:5" is soft blocking dev-qt/qtcore-5.15.12-r1)
[ebuild     U  ] dev-qt/qtopengl-5.15.12:5/5.15::gentoo [5.15.11:5/5.15::gentoo] USE="-debug -gles2-only -test" 0 KiB
[blocks b      ] <dev-qt/qtopengl-5.15.12:5 ("<dev-qt/qtopengl-5.15.12:5" is soft blocking dev-qt/qtcore-5.15.12-r1)
[ebuild     U  ] dev-qt/qtprintsupport-5.15.12:5/5.15::gentoo [5.15.11:5/5.15::gentoo] USE="cups -debug -gles2-only -test" 0 KiB
[blocks b      ] <dev-qt/qtprintsupport-5.15.12:5 ("<dev-qt/qtprintsupport-5.15.12:5" is soft blocking dev-qt/qtcore-5.15.12-r1)
[blocks B      ] <dev-qt/qtdbus-5.15.12:5 ("<dev-qt/qtdbus-5.15.12:5" is soft blocking dev-qt/qtcore-5.15.12-r1)
[blocks B      ] <dev-qt/qtgui-5.15.12:5 ("<dev-qt/qtgui-5.15.12:5" is soft blocking dev-qt/qtcore-5.15.12-r1)

Total: 16 packages (16 upgrades), Size of downloads: 80.079 KiB
Conflict: 11 blocks (2 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-qt/qtgui:5

  (dev-qt/qtgui-5.15.12:5/5.15.12::gentoo, ebuild scheduled for merge) USE="X accessibility dbus egl jpeg libinput png udev vulkan -debug -eglfs -evdev -gles2-only -ibus -linuxfb -test -tslib -tuio -vnc -wayland" ABI_X86="(64)" pulled in by
    =dev-qt/qtgui-5.15.12*:5=[dbus] required by (dev-qt/qtwidgets-5.15.12:5/5.15::gentoo, ebuild scheduled for merge) USE="X dbus gtk png -debug -gles2-only -test" ABI_X86="(64)"
    ^             ^^^^^^^^^^^                                                                                                                                                                                                                                                                                                                                                                                       
    (and 5 more with the same problem)

  (dev-qt/qtgui-5.15.11-r2:5/5.15.11::gentoo, installed) USE="X accessibility dbus egl jpeg libinput png udev vulkan -debug -eglfs -evdev -gles2-only -ibus -linuxfb -test -tslib -tuio -vnc -wayland" ABI_X86="(64)" pulled in by
    >=dev-qt/qtgui-5.15:5/5.15.11=[dbus,jpeg,png,X] required by (net-im/telegram-desktop-4.8.1-r3:0/0::gentoo, installed) USE="X dbus fonts (jemalloc) -enchant -qt6 -qt6-imageformats -screencast -wayland" ABI_X86="(64)"
                       ^^^^^^^^^^^                                                                                                                                                                                                                                                                                                                                                                                                                           

dev-qt/qtcore:5

  (dev-qt/qtcore-5.15.12-r1:5/5.15.12::gentoo, ebuild scheduled for merge) USE="icu -debug -old-kernel -test" ABI_X86="(64)" pulled in by
    =dev-qt/qtcore-5.15.12*:5= required by (dev-qt/qtgui-5.15.12:5/5.15.12::gentoo, ebuild scheduled for merge) USE="X accessibility dbus egl jpeg libinput png udev vulkan -debug -eglfs -evdev -gles2-only -ibus -linuxfb -test -tslib -tuio -vnc -wayland" ABI_X86="(64)"
    ^              ^^^^^^^^^^^                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    (and 12 more with the same problem)

  (dev-qt/qtcore-5.15.11-r1:5/5.15.11::gentoo, installed) USE="icu -debug -old-kernel -test" ABI_X86="(64)" pulled in by
    =dev-qt/qtcore-5.15.11*:5= required by (dev-qt/qtgui-5.15.11-r2:5/5.15.11::gentoo, installed) USE="X accessibility dbus egl jpeg libinput png udev vulkan -debug -eglfs -evdev -gles2-only -ibus -linuxfb -test -tslib -tuio -vnc -wayland" ABI_X86="(64)"
    ^              ^^^^^^^^^^^                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
    (and 3 more with the same problem)

dev-qt/qtdbus:5

  (dev-qt/qtdbus-5.15.12:5/5.15::gentoo, ebuild scheduled for merge) USE="-debug -test" ABI_X86="(64)" pulled in by
    =dev-qt/qtdbus-5.15.12* required by (dev-qt/qtgui-5.15.12:5/5.15.12::gentoo, ebuild scheduled for merge) USE="X accessibility dbus egl jpeg libinput png udev vulkan -debug -eglfs -evdev -gles2-only -ibus -linuxfb -test -tslib -tuio -vnc -wayland" ABI_X86="(64)"
    ^              ^^^^^^^^                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
    (and 1 more with the same problem)

  (dev-qt/qtdbus-5.15.11:5/5.15::gentoo, installed) USE="-debug -test" ABI_X86="(64)" pulled in by
    =dev-qt/qtdbus-5.15.11* required by (dev-qt/qtgui-5.15.11-r2:5/5.15.11::gentoo, installed) USE="X accessibility dbus egl jpeg libinput png udev vulkan -debug -eglfs -evdev -gles2-only -ibus -linuxfb -test -tslib -tuio -vnc -wayland" ABI_X86="(64)"
    ^              ^^^^^^^^                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     

NOTE: Use the '--verbose-conflicts' option to display parents omitted above

!!! The slot conflict(s) shown above involve package(s) which may need to
!!! be rebuilt in order to solve the conflict(s). However, the following
!!! package(s) cannot be rebuilt for the reason(s) shown:

  (net-im/telegram-desktop-4.8.1-r3:0/0::gentoo, installed): ebuild is masked or unavailable


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages


ho provato ad emergere con --backtrack=30, ma non risolvo il problema
Grazie.
_________________
Davide


Descriverei Gentoo con una sola parola: GENIALE!


Last edited by ænigma on Wed Jan 31, 2024 4:24 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Administrator
Administrator


Joined: 08 Mar 2003
Posts: 30799
Location: here

PostPosted: Tue Jan 30, 2024 5:21 pm    Post subject: Reply with quote

Code:
   (net-im/telegram-desktop-4.8.1-r3:0/0::gentoo, installed): ebuild is masked or unavailable

Il tuo problema è net-im/telegram-desktop hai installato una versione non più presente nella lista dei pacchetti.
Questo è probabilmente causato dal fatto che tu hai smascherato solo la versione 4.8.1-r3 mentre l'ultima versione disponibile è la 4.14.6.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
ænigma
Tux's lil' helper
Tux's lil' helper


Joined: 02 Mar 2019
Posts: 113
Location: Italy

PostPosted: Wed Jan 31, 2024 4:23 pm    Post subject: Reply with quote

Grazie fedeliallalinea, tutto a posto. Ho aggiornato telegram-desktop con 'emerge net-im/telegram-desktop --autounmask-write --autounmask' e successivamente ho aggiornato il sistema ed è andato tutto a buon fine.
Telegram è aggiornato alla 4.14.9

Grazie di nuovo.
_________________
Davide


Descriverei Gentoo con una sola parola: GENIALE!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum